Phabricator labs puppet role configures phabricator wrong
Closed, ResolvedPublic

Description

Before phabricator was deployed by scap3 it was easy to setup a test instance of phabricator, puppet agent -tv, and phabricator was ready. Now you need to pull the git manually, and a lot of settings are wrong: The dns page shows a directory with only one link to a page which shows "It works", and if you solve that, you can't upload repos:

Missing Binary git-http-backend	Unable to find this binary in the webserver's PATH. You may need to configure environment.append-paths.

Is there a change to revert to the old puppet role, or create another one?

Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptApr 5 2016, 10:56 PM
chasemp triaged this task as Normal priority.May 31 2016, 3:19 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 31 2016, 3:19 PM

@Luke081515 I'll work on it a bit and see if I can get it to be more automated.

mmodell reassigned this task from mmodell to demon.Jul 7 2016, 8:24 PM

Since you're working on the phab puppet stuff

Paladox moved this task from To Triage to Backlog on the Phabricator board.Jul 16 2016, 12:16 PM
demon lowered the priority of this task from Normal to Low.Aug 17 2016, 4:44 PM

Actually phabricator did this. It is required for http cloning to fix this all you have to do is

'''cd <phab_dir>/support/bin'''

'''sudo ln -sv /user/lib/git-core/git-http-backend'''

Doint forget git also needs to be installed too for this to work/

But I think we need to instead update the main puppet role to work on both production and labs and remove the labs phabricator role once we have done that.

Paladox reopened this task as Open.Aug 29 2016, 7:14 PM

Re opening for now since the main role will take a while to fix.

demon removed demon as the assignee of this task.Oct 5 2016, 4:47 PM
demon added a subscriber: demon.

I'm doing some work on the labs role in https://gerrit.wikimedia.org/r/#/c/313937/

@Paladox: is this now working on phab-01?

mmodell removed mmodell as the assignee of this task.Dec 4 2016, 6:53 AM

rather, the main role now works on labs, correct?

@mmodell I haven't applied this role to phab-01 yet but I have applied it to the phabricator role so looks like it is working on labs (no failures)

Paladox closed this task as Resolved.Feb 3 2017, 12:02 AM
Paladox claimed this task.

yep, this works now.

Paladox removed Paladox as the assignee of this task.Feb 3 2017, 12:02 AM